Subject: mouse_drv.so: undefined symbol: xf86GetOS

From: Steve Graham <[email-masked]>
Date: Mon, 28 May 2018 14:35:20 +0100

Package: xserver-xorg-core
Version: 1:1.9.2-1+b1

I run a minimal Xorg with the following packages installed:

xserver-xorg
xserver-xorg-core
xserver-xorg-legacy
xserver-xorg-video-intel
xserver-xorg-input-kbd
xserver-xorg-input-mouse
xserver-xorg-input-evdev

(I have no udev, so evdev will not work. However Xorg input doesn't work with the legacy input 
drivers unless I have it installed. I don't know why.)

After an upgrade to the latest 'unstable' versions, Xorg failed to start because of a crash in the 
mouse driver --
/usr/lib/xorg/modules/input/mouse_drv.so: undefined symbol: xf86GetOS

I reverted:
xserver-xorg-core & -legacy from 2:1.20.0-2 to 2:1.19.3-2
xserver-xorg-video-intel from 2:2.99.917+git20171229-1+b1 to 2:2.99.917+git20161206-1

The following were re-installed at their current latest versions:
xserver-xorg-input-mouse 1:1.9.2-1+b1
xserver-xorg-input-kbd 1:1.9.0-1+b1
xserver-xorg-input-evdev 1:2.10.5-1

The graphical interface then started normally.